Subject: Re: [PATCH] coccicheck: optionally batch spatch invocations

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 May 2019 11:42:28 +0900

Jeff King <[email-masked]> writes:

> The implementation is done with xargs, which should be widely available;
> it's in POSIX, we rely on it already in the test suite. And "coccicheck"
> is really a developer-only tool anyway, so it's not a big deal if
> obscure systems can't run it.

OK.

> I left the default at 1 for safety. Probably 4 or 16 would be an OK
> default, but I don't have any interest in figuring out exactly what
> Travis or some hypothetical average machine can handle. I'll be setting
> mine to 999. ;)
>
> Making "0" work as "unlimited" might be nice, but xargs doesn't support
> that and I didn't want to make the recipe any more unreadable than it
> already is.

Sounds good.  After reading the log message, I was curious if there
is a mechanism that makes 999 special (like 0 in your hypothetical
"0 means unlimited"), but I guess it is just "any number that is
greater than the number of source files we have will do".

Thanks.